/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include <gtkmm.h>
#include "assist_info2.h"
#include "utilities.h"


AssistantInfo2Dialog::AssistantInfo2Dialog(Gtk::Window& parent, const string& title, AssistantPageType pagetype, const vector<string>& info, bool can_go_forward) :
  Dialog ("", parent, true, false)
{
  set_title(title);
  set_size_request(480, 320);
  add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
  if ((pagetype == ASSISTANT_PAGE_CONTENT) ||
    (pagetype == ASSISTANT_PAGE_CONFIRM))
    add_button(Gtk::Stock::GO_BACK, Gtk::RESPONSE_NO);
  if ((pagetype == ASSISTANT_PAGE_INTRO) ||
    (pagetype == ASSISTANT_PAGE_CONTENT))
    add_button(Gtk::Stock::GO_FORWARD, Gtk::RESPONSE_YES);
  if (pagetype == ASSISTANT_PAGE_CONFIRM)
    add_button(Gtk::Stock::APPLY, Gtk::RESPONSE_OK);
  string message;
  for (unsigned int i = 0; i < info.size(); i++)
    message.append (info[i] + "\n");
  label.set_text(message);
  label.set_padding(0, 10);
  scrolledwindow.set_policy(Gtk::POLICY_AUTOMATIC, Gtk::POLICY_AUTOMATIC);
  scrolledwindow.add(label);
  get_vbox()->pack_start(scrolledwindow);
  if (pagetype == ASSISTANT_PAGE_CONFIRM)
    set_default_response(Gtk::RESPONSE_OK);
  else 
    set_default_response(Gtk::RESPONSE_YES);
  set_response_sensitive(Gtk::RESPONSE_YES, can_go_forward);
  show_all_children();
}


AssistantInfo2Dialog::~AssistantInfo2Dialog() {
}


