/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_DIALOGGOTOREFERENCE_H
#define INCLUDED_DIALOGGOTOREFERENCE_H

#include <gtkmm.h>


class GotoReferenceDialog : public Gtk::Dialog {
 public:
  GotoReferenceDialog(Gtk::Window& parent, const string& currentbook, const string& currentchapter, const string& currentverse);
  virtual ~GotoReferenceDialog();
  Gtk::VBox vbox;
  Gtk::HBox hbox;
  Gtk::Label label;
  Gtk::Entry entry;
  bool newreference;
  string oldbook;
  string oldchapter;
  string oldverse;
  string newbook;
  string newchapter;
  string newverse;
 protected:
  virtual void on_response (int response_id);
  virtual string find_valid_book(const string& rawbook);
  vector<string> input;
  virtual void show_bad_reference();
};


#endif


