/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_DIALOGPROJECT_H
#define INCLUDED_DIALOGPROJECT_H

#include <gtkmm.h>
#include "configuration.h"


class ProjectDialog : public Gtk::Dialog {
 public:
  ProjectDialog(Gtk::Window& parent, const string& projecname);
  virtual ~ProjectDialog();
  Gtk::Label labelname;
  Gtk::Entry entryname;
  Gtk::Label labelmessage;
  Gtk::Label labellanguage;
  Gtk::Combo combolanguage;
  Gtk::Label labelstylesheet;
  Gtk::Combo combostylesheet;
  Gtk::HBox hbox;
  Gtk::Button buttonadd;
  Gtk::Button buttondelete;
  string newprojectname;
 protected:
  virtual bool set_gui();
  virtual void on_response (int response_id);
  string currentprojectname;
  virtual void combo_language_fill(const string& displayvalue);
  virtual void combo_stylesheet_fill(const string& displayvalue);
  virtual void on_book_add();
  virtual void on_book_delete();
};


#endif


