/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_DIALOGSELECTBOOKS_H
#define INCLUDED_DIALOGSELECTBOOKS_H


#include <gtkmm.h>
#include "configuration.h"
#include <set>


typedef enum {sbAdd, sbDelete} SelectBookDialogActions;


class SelectBooksDialog : public Gtk::Dialog {
 public:
  SelectBooksDialog(Gtk::Window& parent, SelectBookDialogActions action, const vector<string>& selectablebooks, set<string>& selection);
  virtual ~SelectBooksDialog();
  class ModelColumns : public Gtk::TreeModel::ColumnRecord {
  public:
    ModelColumns()
    { add(col_name); }
    Gtk::TreeModelColumn<string> col_name;
  };
  Gtk::HBox hbox1;
  Gtk::TreeView treeview1;
  ModelColumns columns1;
  Glib::RefPtr<Gtk::ListStore> ref_tree_model1;

  Gtk::TreeView treeview2;
  ModelColumns columns2;
  Glib::RefPtr<Gtk::ListStore> ref_tree_model2;

  Gtk::TreeView treeview3;
  ModelColumns columns3;
  Glib::RefPtr<Gtk::ListStore> ref_tree_model3;

  Gtk::TreeView treeview4;
  ModelColumns columns4;
  Glib::RefPtr<Gtk::ListStore> ref_tree_model4;

  Gtk::TreeView treeview5;
  ModelColumns columns5;
  Glib::RefPtr<Gtk::ListStore> ref_tree_model5;

  Gtk::TreeView treeview6;
  ModelColumns columns6;
  Glib::RefPtr<Gtk::ListStore> ref_tree_model6;

  Gtk::Label infolabel;
  Gtk::HBox hbox2;
  Gtk::Button button_none;
  Gtk::Button button_ot;
  Gtk::Button button_nt;
  Gtk::Button button_all;
  virtual void on_none_clicked();
  virtual void on_ot_clicked();
  virtual void on_nt_clicked();
  virtual void on_all_clicked();
 protected:
  virtual void on_response (int response_id);
  virtual void selected_row_callback(const Gtk::TreeModel::iterator& iter);
  set<string>* myselection;
  virtual void select_row (int rownumber, bool select);

};


#endif


