/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include <gtkmm.h>
#include "utilities.h"
#include "dialogshowscript.h"


ShowScriptDialog::ShowScriptDialog(Gtk::Window& parent, const string& filename) :
  Dialog ("Contents", parent, true, false)
  // The parent variable ensures this window is centered on top of the parent.
{
  set_default_size(640, 480);
  add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);

  get_vbox()->pack_start(scrolledwindow);
  scrolledwindow.set_policy(Gtk::POLICY_AUTOMATIC, Gtk::POLICY_AUTOMATIC);
  scrolledwindow.add(textview);

  textview.set_editable(false);

  ReadText rt(filename, true);
  for (unsigned int i = 0; i < rt.lines.size(); i++) {
    textview.get_buffer()->insert_at_cursor(rt.lines[i] + "\n");
  }

  show_all_children();

  // Scroll to end;
  Glib::signal_idle().connect(sigc::mem_fun(*this, &ShowScriptDialog::scroll));
}


ShowScriptDialog::~ShowScriptDialog() {
}


bool ShowScriptDialog::scroll() {
  // Scroll the view to the end
  textview.grab_focus();
  Gtk::TextIter end;
  end = textview.get_buffer()->end();
  textview.scroll_to(end, 0); 
  return false;
}
