/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include <gtkmm.h>
#include "dialogwait.h"


WaitDialog::WaitDialog(Gtk::Window& parent, int milliseconds, int width, int height) :
  Dialog ("Please wait...", parent, true, false)
{
  if (width && height)
    set_size_request(width, height);
  label.set_text("Please hold on ... processing data");
  get_vbox()->pack_start(label, false, false, 10);
  show_all_children();
  Glib::signal_timeout().connect(sigc::mem_fun(*this, &WaitDialog::on_timeout), milliseconds);
}


WaitDialog::~WaitDialog() {
}


bool WaitDialog::on_timeout() {
  hide();
  return false;
}
