 /*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include "directories.h"
#include <libgen.h>
#include <gtkmm.h>
#include <myconfig.h>
#include "constants.h" 
#include "utilities.h"
#include "stylesheetutils.h"
#include "languageutils.h"


void directories_check_structure() {
  string command;
  // Check and/or create the root directory of all data.
  command = "mkdir -p '" + directories_get_root() + "'";
  system(command.c_str());
  // This first one cannot yet use create_directory, because that
  // function needs the directory we are now creating...
  // But all next functions can use create_directory.
  // Check and/or create the projects directory.
  create_directory (directories_get_projects());
  create_directory (directories_get_languages());
  create_directory (directories_get_stylesheets());
  languageutils_new("English");
  stylesheetutils_new("Default");
}


string directories_get_root() {
  /*
    This returns the root of all data, usually <home>.bibledit
   */
  return Glib::build_filename (Glib::get_home_dir(), ".bibledit");
}


string directories_get_projects() {
  /*
    This returns the directory with all the projects.
   */
  return Glib::build_filename(directories_get_root(), "projects");
}


string directories_get_languages() {
  /*
    This returns the directory with all the languages.
   */
  return Glib::build_filename(directories_get_root(), "languages");
}


string directories_get_stylesheets() {
  /*
    This returns the directory with all the stylesheets.
   */
  return Glib::build_filename(directories_get_root(), "stylesheets");
}


