/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_HTML_H
#define INCLUDED_HTML_H

#include "libraries.h"
#include "usfm.h"


class HtmlConverter {
 public:
  HtmlConverter (int dummy);
  ~HtmlConverter ();
  void convert (vector<string>& inputfiles, string& outputdirectory);
 private:
  void convert_book (const string& inputfile, const string& outputfile, const string& bookname, unsigned int percentage, const string& nextoutputfile, const string& nextbookname);
  void head (const string& title, ofstream& out);
  void tail (ofstream& out);
  void convert_index (const vector<string>& input, const string& outputfile, const string& bookname, unsigned int numberofchapters);
  string output_filename (const string& original_outputfile, unsigned int index, bool trimpath);
  void convert_chapter (const vector<string>& input, const string& outputfile, const string& bookname, unsigned int currentchapter, const string& nextoutputfile, const string& nextbookname, unsigned int nextchapter);
  void output_text (Glib::ustring& usfm, Glib::ustring& text, ofstream& out, bool flushbuffer);
  void output_next_button (ofstream& out, const string& outputfile, const string& bookname, unsigned int chapter, bool nexparagraph);
  void paragraph (const unsigned int index, const string& text, ofstream& out, bool startparagraph, bool flush);
  void add_text (const string& text, string& buffer);
  void process_text (string& text);
  bool PreviousWasChapter;
  string paragraph_closer;  // This variabele stores the data that is needed to close a currently open paragraph.
  string previous_text;
  Usfm usfm;
};


#endif
