/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include "htmlbrowser.h"


#define NUMBER_OF_BROWSERS 5


string helpcommand(int index) {
  // Returns a command to be executed to get the helpfile displayed.
  // If "complete" is false, it only return the name of the browser
  // to be used.
  // Variabele "index" selects which browser will be used.
  string command;
  switch (index) {
  case 0: { command = "htmlview";  break; }
  case 1: { command = "firefox";   break; }
  case 2: { command = "mozilla";   break; }
  case 3: { command = "galeon";    break; }
  case 4: { command = "konqueror"; break; }
    // Note: when adding new browsers, ensure that the variabele
    // NUMBER_OF_BROWSERS is updated too.
  }
  return command;
}


void htmlbrowser(Gtk::Window& window, const string filename) {

  for (unsigned int i = 0; i < NUMBER_OF_BROWSERS; i++) {
    string command;
    command = "which ";
    command.append(helpcommand(i));
    command.append(" > /dev/null 2>&1");
    if (system(command.c_str()) == 0) {
      command = helpcommand(i);
      command.append(" 'file://");
      command.append(filename);
      command.append("' > /dev/null &");
      system(command.c_str());
      return;
    }
  }
  // If we're here, it shows that no suitable browser was found.
  // Inform the user about it, and what to do to solve it.
  string message;
  message = "The help cannot be displayed, because there is no suitable browser installed.\n";
  message.append ("Install one of the following supported browsers:\n");
  for (unsigned int i = 0; i < NUMBER_OF_BROWSERS; i++) {
    message.append(helpcommand(i));
    message.append("\n");		
  }
  Gtk::MessageDialog dialog(window, message, Gtk::MESSAGE_ERROR);
  dialog.run();
}


