 /*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include "utilities.h"
#include <libgen.h>
#include <gtkmm.h>
#include <myconfig.h>
#include "constants.h" 
#include "languageutils.h"
#include "language.h"
#include "projects.h"
#include "project.h"
#include "projectutils.h"
#include "directories.h"


void languageutils_new(const string& new_language_name) {
  /*
    This makes a new language.
    It is named "New Language" or using the variabele provided..
    This language can later be tuned to the user's wishes.
   */
  // Make the new directory.
  string directory;
  if (new_language_name.empty())
    directory = NEW_LANGUAGE;
  else directory = new_language_name;
  directory = Glib::build_filename(directories_get_languages(), directory);
  create_directory (directory);
  // Produce the default settings.
  Language language(directory);
}


vector<string> languageutils_lang_used_by (const string& language) {
  vector<string> projects_using_it;
  Projects projects(directories_get_projects());
  for (unsigned int i = 0; i < projects.projects.size(); i++) {
    Project project (projects.directories[i]);
    if (language == project.language) {
      projects_using_it.push_back(projects.projects[i]);
    }
  }
  return projects_using_it;
}
