 /*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include "utilities.h"
#include <libgen.h>
#include <gtkmm.h>
#include <myconfig.h>
#include "constants.h" 
#include "projectutils.h"
#include "project.h"
#include "directories.h"


void projectutils_new() {
  /*
    This makes a new project.
    It is named "New Project".
    This project can later be tuned to the user's wishes.
   */
  // Make the new directory.
  string directory = Glib::build_filename(directories_get_projects(), NEW_PROJECT);
  create_directory (directory);
  // Produce the default settings.
  Project ps(directory);
}


string projectutils_scripture_filename(const string& project, const string& book) {
  vector<string> parts;
  parts.push_back(directories_get_projects());
  parts.push_back(project);
  parts.push_back(book);
  parts.push_back("current-version");
  return Glib::build_filename(parts);
}
