/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#include "libraries.h"
#include "usfm.h"
#include "utilities.h"
#include "config.h"


Usfm::Usfm (int dummy) {
  id = "id";
  runningheader = "h";
  chapter = "c";
  verse = "v";
}


Usfm::~Usfm () {
}


bool Usfm::is_id (const string& usfm) {
  return (usfm == id);
}


bool Usfm::is_runningheader (const string& usfm) {
  return (usfm == runningheader);
}


bool Usfm::is_chapter (const string& usfm) {
  return (usfm == chapter);
}


bool Usfm::is_verse (const string& usfm) {
  return (usfm == verse);
}


bool Usfm::is_known (const string& usfm) {
  if (is_id(usfm)) return true;
  if (is_runningheader(usfm)) return true;
  if (is_chapter(usfm)) return true;
  if (is_verse(usfm)) return true;
  return false;
}
  

bool Usfm::has_endmarker (const string& usfm) {
  return !is_known(usfm);
}

