/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_USFM_H
#define INCLUDED_USFM_H

#include "libraries.h"


class Usfm {
  // The built-in knowledge of the unified standard format markers.
 public:
  Usfm (int dummy);
  ~Usfm ();
  bool is_id (const string& usfm);
  bool is_runningheader (const string& usfm);
  bool is_chapter (const string& usfm);
  bool is_verse (const string& usfm);
  bool is_known (const string& usfm);
  bool has_endmarker (const string& usfm);
  string id;
  string runningheader;
  string chapter;
  string verse;
  /* 
   * Note: When adding more markers, ensure they are dealth with
   * in all of the following places:
   * - the constructor, to fill in its value
   * - function "is_<marker>".
   * - function "is_known".
   */
 private:
};


#endif

