/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_WORDDATABASE_H
#define INCLUDED_WORDDATABASE_H


#include "libraries.h"
#include "stylesheet.h"


class Worddatabase {
 public:
  Worddatabase (const string& project);
  virtual ~Worddatabase ();
  virtual void initialize();
  virtual void update_chapter(unsigned int book, unsigned int chapter, const vector<Glib::ustring>& lines);
  string dbfilename();
 private:
  string myproject;
  virtual void log (const string& message);
  virtual void check_book(const string& filename);
  virtual void delete_book(unsigned int book);
  virtual void store_signature(const string& filename, const string& signature);
};


#endif

